import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/system/business/mjy/list',
    method: 'get',
    params: query
  })
}
// 稽查轨迹列表
export function jcgjList(query) {
  return request({
    url: '/system/business/mjy/jcgjList',
    method: 'get',
    params: query
  })
}
// 详情
export function info(query) {
  return request({
    url: '/system/business/mjy/info',
    method: 'get',
    params: query
  })
}

// 编辑
export function bj(data) {
  return request({
    url: '/system/business/mjy/bj',
    method: 'post',
    data: data
  })
}


// 审核编辑
export function shbj(data) {
  return request({
    url: '/system/business/mjy/shbj',
    method: 'post',
    data: data
  })
}

// 修改库存
export function xgkc(data) {
  return request({
    url: '/system/business/mjy/xgkc',
    method: 'post',
    data: data
  })
}


// 审核修改库存
export function shxgkc(data) {
  return request({
    url: '/system/business/mjy/shxgkc',
    method: 'post',
    data: data
  })
}

// 解锁
export function js(data) {
  return request({
    url: '/system/business/mjy/js',
    method: 'post',
    data: data
  })
}


// 锁定
export function sd(data) {
  return request({
    url: '/system/business/mjy/sd',
    method: 'post',
    data: data
  })
}


//批量锁定
export function plsd(data) {
  return request({
    url: '/system/business/mjy/plsd',
    method: 'post',
    data: data
  })
}

//处置容器
export function czrq(data) {
  return request({
    url: '/system/business/mjy/czrq',
    method: 'post',
    data: data
  })
}

//批量处置容器
export function plczrq(data) {
  return request({
    url: '/system/business/mjy/plczrq',
    method: 'post',
    data: data
  })
}


//处置药剂
export function czyj(data) {
  return request({
    url: '/system/business/mjy/czyj',
    method: 'post',
    data: data
  })
}

//批量处置药剂
export function plczyj(data) {
  return request({
    url: '/system/business/mjy/plczyj',
    method: 'post',
    data: data
  })
}

//归档
export function gd(data) {
  return request({
    url: '/system/business/mjy/gd',
    method: 'post',
    data: data
  })
}

//批量归档
export function plgd(data) {
  return request({
    url: '/system/business/mjy/plgd',
    method: 'post',
    data: data
  })
}
//发放
export function ff(data) {
  return request({
    url: '/system/business/mjy/ff',
    method: 'post',
    data: data
  })
}
//批量发放
export function plff(data) {
  return request({
    url: '/system/business/mjy/plff',
    method: 'post',
    data: data
  })
}

//钥匙发放
export function ysff(data) {
  return request({
    url: '/system/business/mjy/ysff',
    method: 'post',
    data: data
  })
}

//归还
export function gh(data) {
  return request({
    url: '/system/business/mjy/gh',
    method: 'post',
    data: data
  })
}

//台账列表
export function tzList(query) {
  return request({
    url: '/system/business/mjy/tzList',
    method: 'get',
    params: query
  })
}

//解档
export function jd(data) {
  return request({
    url: '/system/business/mjy/jd',
    method: 'post',
    data: data
  })
}